package org.texttechnologylab.project.gruppe_05_1.xml.speeches.Impls;

import org.texttechnologylab.project.gruppe_05_1.xml.speeches.Interfaces.Individual;


public abstract class Individual_File_Impl implements Individual {
    private final String name;
    private final String firstName;
    private final String title;
    private final String dateOfBirth;
    private final String dateOfDeath;
    private final String placeOfBirth;
    private final String gender;
    private final String religion;

    @Override
    public String getName() {
        return name;
    }

    @Override
    public String getFirstName() {
        return firstName;
    }

    @Override
    public String getTitle() {
        return title;
    }

    @Override
    public String getDateOfBirth() {
        return dateOfBirth;
    }

    @Override
    public String getDateOfDeath() {
        return dateOfDeath;
    }

    @Override
    public String getPlaceOfBirth() {
        return placeOfBirth;
    }

    @Override
    public String getGender() {
        return gender;
    }

    @Override
    public String getReligion() {
        return religion;
    }

    public Individual_File_Impl(String name, String firstName, String title, String dateOfBirth, String dateOfDeath, String placeOfBirth, String gender, String religion) {
        this.name = name;
        this.firstName = firstName;
        this.title = title;
        this.dateOfBirth = dateOfBirth;
        this.dateOfDeath = dateOfDeath;
        this.placeOfBirth = placeOfBirth;
        this.gender = gender;
        this.religion = religion;
    }
}
